Debian Bug report logs - #537733
amule-daemon crashes with Segmentation Fault on starting

version graph

Package: amule-daemon; Maintainer for amule-daemon is Debian aMule Team <pkg-amule-devel@lists.alioth.debian.org>; Source for amule-daemon is src:amule.

Reported by: J G Miller <miller@yoyo.ORG>

Date: Mon, 20 Jul 2009 14:33:17 UTC

Severity: grave

Tags: moreinfo, unreproducible

Merged with 548620

Found in version amule/2.2.1-1+lenny2

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@net.com.org.es>:
Bug#537733; Package amule-daemon. (Mon, 20 Jul 2009 14:33:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to J G Miller <miller@yoyo.ORG>:
New Bug report received and forwarded. Copy sent to Adeodato Simó <dato@net.com.org.es>. (Mon, 20 Jul 2009 14:33:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: J G Miller <miller@yoyo.ORG>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: amule-daemon crashes with Segmentation Fault on starting
Date: Mon, 20 Jul 2009 16:19:21 +0200
Package: amule-daemon
Version: 2.2.1-1+lenny2
Severity: normal

I have freshly installed the new amule-daemon package.

 The following NEW packages will be installed:
   amule-daemon
 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
 Need to get 1266kB of archives.
 After this operation, 3129kB of additional disk space will be used.
 Get:1 http://ftp.debian.skynet.be lenny/main amule-daemon
 2.2.1-1+lenny2 [1266kB]
 Fetched 1266kB in 14s (88.2kB/s)
 Selecting previously deselected package amule-daemon.
 (Reading database ... 43654 files and directories currently installed.)
 Unpacking amule-daemon (from .../amule-daemon_2.2.1-1+lenny2_arm.deb) ...
 Processing triggers for man-db ...
 Setting up amule-daemon (2.2.1-1+lenny2) ...
 Not starting aMule daemon, AMULED_USER not set in
 /etc/default/amule-daemon. (warning).

After setting AMULED_USER to "p2p", a valid user, in /etc/default/amule-daemon,
I try to start amule-daemon.

  /etc/init.d/amule-daemon start
  /etc/init.d/amule-daemon: line 37: 20398 Segmentation fault
  start-stop-daemon --start --quiet --exec $WRAPPER --user
  "$AMULED_USER" --chuid "$AMULED_USER" > /dev/null

After changing user to "p2p", I try to start amule-daemon directly as user
p2p, and amule-daemon again crashes with a segmentation fault.

   strace /usr/bin/amuled

   execve("/usr/bin/amuled", ["/usr/bin/amuled"], [/* 88 vars */]) = 0
   brk(0)                                  = 0x409000
   uname({sys="Linux", node="ns.wsl.COM", ...}) = 0
   access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
   mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x4001d000
   access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
   open("/usr/local/lib/tls/v5l/fast-mult/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/lib/tls/v5l/fast-mult", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/lib/tls/v5l/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/lib/tls/v5l", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/lib/tls/fast-mult/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/lib/tls/fast-mult", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/lib/tls/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/lib/tls", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/lib/v5l/fast-mult/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/lib/v5l/fast-mult", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/lib/v5l/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/lib/v5l", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/lib/fast-mult/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/lib/fast-mult", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/lib/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/lib", {st_mode=S_IFDIR|S_ISGID|0755, st_size=4096, ...}) = 0
   open("/usr/local/X11R6/lib/tls/v5l/fast-mult/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/X11R6/lib/tls/v5l/fast-mult", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/tls/v5l/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/X11R6/lib/tls/v5l", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/tls/fast-mult/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/X11R6/lib/tls/fast-mult", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/tls/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/X11R6/lib/tls", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/v5l/fast-mult/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/X11R6/lib/v5l/fast-mult", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/v5l/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/X11R6/lib/v5l", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/fast-mult/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/X11R6/lib/fast-mult", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/local/X11R6/lib", {st_mode=S_IFDIR|S_ISGID|0755, st_size=4096, ...}) = 0
   open("/usr/lib/qt3/tls/v5l/fast-mult/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/lib/qt3/tls/v5l/fast-mult", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/tls/v5l/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/lib/qt3/tls/v5l", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/tls/fast-mult/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/lib/qt3/tls/fast-mult", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/tls/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/lib/qt3/tls", 0xbeb2b040)  = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/v5l/fast-mult/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/lib/qt3/v5l/fast-mult", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/v5l/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/lib/qt3/v5l", 0xbeb2b040)  = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/fast-mult/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/lib/qt3/fast-mult", 0xbeb2b040) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   stat64("/usr/lib/qt3", {st_mode=S_IFDIR|0755, st_size=1024, ...}) = 0
   open("/etc/ld.so.cache", O_RDONLY)      = 3
   fstat64(3, {st_mode=S_IFREG|0644, st_size=24589, ...}) = 0
   mmap2(NULL, 24589, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40026000
   close(3)                                = 0
   access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
   open("/lib/libpthread.so.0", O_RDONLY)  = 3
   read(3, "\177ELF\1\1\1a\0\0\0\0\0\0\0\0\3\0(\0\1\0\0\0\354F\0\0004\0\0\0\354"..., 512) = 512
   fstat64(3, {st_mode=S_IFREG|0755, st_size=111324, ...}) = 0
   mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x4001e000
   mmap2(NULL, 119312, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x4002d000
   mprotect(0x40040000, 28672, PROT_NONE)  = 0
   mmap2(0x40047000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x12) = 0x40047000
   mmap2(0x40049000, 4624, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x40049000
   close(3)                                = 0
   open("/usr/local/lib/libz.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/libz.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/libz.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
   access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
   open("/usr/lib/libz.so.1", O_RDONLY)    = 3
   read(3, "\177ELF\1\1\1a\0\0\0\0\0\0\0\0\3\0(\0\1\0\0\0\214\25\0\0004\0\0\0\20"..., 512) = 512
   fstat64(3, {st_mode=S_IFREG|0644, st_size=86560, ...}) = 0
   mmap2(NULL, 118040, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x4004b000
   mprotect(0x40060000, 28672, PROT_NONE)  = 0
   mmap2(0x40067000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x14) = 0x40067000
   mprotect(0xbeb2b000, 4096, PROT_READ|PROT_WRITE|PROT_EXEC|PROT_GROWSDOWN) = 0
   close(3)                                = 0
   open("/usr/local/lib/libcrypto++.so.7", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/libcrypto++.so.7", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/libcrypto++.so.7", O_RDONLY) = -1 ENOENT (No such file or directory)
   access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
   open("/usr/lib/libcrypto++.so.7", O_RDONLY) = 3
   read(3, "\177ELF\1\1\1a\0\0\0\0\0\0\0\0\3\0(\0\1\0\0\0\214\247\33\0004\0\0\0X"..., 512) = 512
   fstat64(3, {st_mode=S_IFREG|0644, st_size=4430696, ...}) = 0
   mmap2(NULL, 4471620, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x40068000
   mprotect(0x40462000, 28672, PROT_NONE)  = 0
   mmap2(0x40469000, 266240, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3f9) = 0x40469000
   mmap2(0x404aa000, 6980, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x404aa000
   close(3)                                = 0
   open("/usr/local/lib/libwx_baseu_net-2.8.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/libwx_baseu_net-2.8.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/libwx_baseu_net-2.8.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
   open("/usr/lib/libwx_baseu_net-2.8.so.0", O_RDONLY) = 3
   read(3, "\177ELF\1\1\1a\0\0\0\0\0\0\0\0\3\0(\0\1\0\0\0\324\352\0\0004\0\0\0\264"..., 512) = 512
   fstat64(3, {st_mode=S_IFREG|0644, st_size=175300, ...}) = 0
   mmap2(NULL, 207552, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x404ac000
   mprotect(0x404d5000, 32768, PROT_NONE)  = 0
   mmap2(0x404dd000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x29) = 0x404dd000
   close(3)                                = 0
   open("/usr/local/lib/libwx_baseu-2.8.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/libwx_baseu-2.8.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/libwx_baseu-2.8.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
   access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
   open("/usr/lib/libwx_baseu-2.8.so.0", O_RDONLY) = 3
   read(3, "\177ELF\1\1\1a\0\0\0\0\0\0\0\0\3\0(\0\1\0\0\0TV\4\0004\0\0\0\334"..., 512) = 512
   fstat64(3, {st_mode=S_IFREG|0644, st_size=1324780, ...}) = 0
   mmap2(NULL, 1390872, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x404df000
   mprotect(0x4061b000, 28672, PROT_NONE)  = 0
   mmap2(0x40622000, 36864, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x13b) = 0x40622000
   mmap2(0x4062b000, 31000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4062b000
   close(3)                                = 0
   open("/usr/local/lib/libstdc++.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/libstdc++.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/libstdc++.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
   access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
   open("/usr/lib/libstdc++.so.6", O_RDONLY) = 3
   read(3, "\177ELF\1\1\1a\0\0\0\0\0\0\0\0\3\0(\0\1\0\0\0\330\361\3\0004\0\0\0T"..., 512) = 512
   fstat64(3, {st_mode=S_IFREG|0644, st_size=947596, ...}) = 0
   mmap2(NULL, 1002568, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x40633000
   mprotect(0x40714000, 28672, PROT_NONE)  = 0
   mmap2(0x4071b000, 32768, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xe0) = 0x4071b000
   mmap2(0x40723000, 19528, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x40723000
   close(3)                                = 0
   open("/usr/local/lib/libm.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/libm.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/libm.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
   access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
   open("/lib/libm.so.6", O_RDONLY)        = 3
   read(3, "\177ELF\1\1\1a\0\0\0\0\0\0\0\0\3\0(\0\1\0\0\0\3242\0\0004\0\0\0d"..., 512) = 512
   fstat64(3, {st_mode=S_IFREG|0644, st_size=456468, ...}) = 0
   mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x4001f000
   mmap2(NULL, 487596, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x40728000
   mprotect(0x40797000, 28672, PROT_NONE)  = 0
   mmap2(0x4079e000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6e) = 0x4079e000
   close(3)                                = 0
   open("/usr/local/lib/libgcc_s.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/libgcc_s.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/libgcc_s.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
   access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
   open("/lib/libgcc_s.so.1", O_RDONLY)    = 3
   read(3, "\177ELF\1\1\1a\0\0\0\0\0\0\0\0\3\0(\0\1\0\0\0<\30\0\0004\0\0\0\240"..., 512) = 512
   fstat64(3, {st_mode=S_IFREG|0644, st_size=34952, ...}) = 0
   mmap2(NULL, 66772, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x407a0000
   mprotect(0x407a9000, 28672, PROT_NONE)  = 0
   mmap2(0x407b0000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x8) = 0x407b0000
   close(3)                                = 0
   open("/usr/local/lib/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
   access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
   open("/lib/libc.so.6", O_RDONLY)        = 3
   read(3, "\177ELF\1\1\1a\0\0\0\0\0\0\0\0\3\0(\0\1\0\0\0000b\1\0004\0\0\0\340"..., 512) = 512
   fstat64(3, {st_mode=S_IFREG|0755, st_size=1177400, ...}) = 0
   mmap2(NULL, 1213256, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x407b1000
   mprotect(0x408cd000, 28672, PROT_NONE)  = 0
   mmap2(0x408d4000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x11b) = 0x408d4000
   mmap2(0x408d7000, 9032, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x408d7000
   close(3)                                = 0
   open("/usr/local/lib/libdl.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/local/X11R6/lib/libdl.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
   open("/usr/lib/qt3/libdl.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
   access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
   open("/lib/libdl.so.2", O_RDONLY)       = 3
   read(3, "\177ELF\1\1\1a\0\0\0\0\0\0\0\0\3\0(\0\1\0\0\0@\n\0\0004\0\0\0\244"..., 512) = 512
   fstat64(3, {st_mode=S_IFREG|0644, st_size=9772, ...}) = 0
   mmap2(NULL, 41152, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x408da000
   mprotect(0x408dc000, 28672, PROT_NONE)  = 0
   mmap2(0x408e3000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1) = 0x408e3000
   close(3)                                = 0
   mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40020000
   mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40021000
   set_tls(0x40020e70, 0x40020e70, 0x674, 0x40021548, 0x40025044) = 0
   mprotect(0x408e3000, 4096, PROT_READ)   = 0
   mprotect(0x408d4000, 4096, PROT_READ)   = 0
   mprotect(0x4079e000, 4096, PROT_READ)   = 0
   mprotect(0x4071b000, 24576, PROT_READ)  = 0
   mprotect(0x40047000, 4096, PROT_READ)   = 0
   mprotect(0x40024000, 4096, PROT_READ)   = 0
   munmap(0x40026000, 24589)               = 0
   set_tid_address(0x40020a68)             = 21317
   SYS_338(0x40020a70, 0xc, 0xffffffec, 0x1, 0x40020e70) = -1 ENOSYS (Function not implemented)
   futex(0xbeb2bb14, FUTEX_WAKE_PRIVATE, 1) = 0
   rt_sigaction(SIGRTMIN, {0x40031600, [], SA_SIGINFO|0x4000000}, NULL, 8) = 0
   rt_sigaction(SIGRT_1, {0x400311a4, [], SA_RESTART|SA_SIGINFO|0x4000000}, NULL, 8) = 0
   rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
   getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=RLIM_INFINITY}) = 0
   futex(0x407b04a4, FUTEX_WAKE_PRIVATE, 2147483647) = 0
   futex(0x40722af0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
   futex(0x40727bec, FUTEX_WAKE_PRIVATE, 2147483647) = 0
   futex(0x40727c0c, FUTEX_WAKE_PRIVATE, 2147483647) = 0
   brk(0)                                  = 0x409000
   brk(0x42a000)                           = 0x42a000
   open("/dev/urandom", O_RDONLY)          = 3
   read(3, "\216U\221@\2640\314A\214a\0072\21\265\365\261E \\%\20e\316\200\326\271;\353\205\274M\253"..., 32) = 32
   close(3)                                = 0
   open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 3
   fstat64(3, {st_mode=S_IFREG|0644, st_size=1771536, ...}) = 0
   mmap2(NULL, 1771536, PROT_READ, MAP_PRIVATE, 3, 0) = 0x408e5000
   close(3)                                = 0
   open("/usr/lib/gconv/gconv-modules.cache", O_RDONLY) = 3
   fstat64(3, {st_mode=S_IFREG|0644, st_size=25724, ...}) = 0
   mmap2(NULL, 25724, PROT_READ, MAP_SHARED, 3, 0) = 0x40026000
   close(3)                                = 0
   futex(0x408d6b4c, FUTEX_WAKE_PRIVATE, 2147483647) = 0
   open("/usr/lib/gconv/UTF-32.so", O_RDONLY) = 3
   read(3, "\177ELF\1\1\1a\0\0\0\0\0\0\0\0\3\0(\0\1\0\0\0\370\3\0\0004\0\0\0000"..., 512) = 512
   fstat64(3, {st_mode=S_IFREG|0644, st_size=9536, ...}) = 0
   mmap2(NULL, 41032, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x40a96000
   mprotect(0x40a98000, 28672, PROT_NONE)  = 0
   mmap2(0x40a9f000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1) = 0x40a9f000
   close(3)                                = 0
   mprotect(0x40a9f000, 4096, PROT_READ)   = 0
   getrlimit(RLIMIT_DATA, {rlim_cur=RLIM_INFINITY, rlim_max=RLIM_INFINITY}) = 0
   setrlimit(RLIMIT_DATA, {rlim_cur=RLIM_INFINITY, rlim_max=RLIM_INFINITY}) = 0
   getrlimit(RLIMIT_FSIZE, {rlim_cur=RLIM_INFINITY, rlim_max=RLIM_INFINITY}) = 0
   setrlimit(RLIMIT_FSIZE, {rlim_cur=RLIM_INFINITY, rlim_max=RLIM_INFINITY}) = 0
   getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=1024}) = 0
   setrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=1024}) = 0
   getrlimit(RLIMIT_RSS, {rlim_cur=RLIM_INFINITY, rlim_max=RLIM_INFINITY}) = 0
   setrlimit(RLIMIT_RSS, {rlim_cur=RLIM_INFINITY, rlim_max=RLIM_INFINITY}) = 0
   brk(0x44c000)                           = 0x44c000
   --- SIGSEGV (Segmentation fault) @ 0 (0) ---
   +++ killed by SIGSEGV +++

Please advise what further information, if any, I can provide to get
this bug fixed.

Thanks in advance,
Greg Miller


-- System Information:
Debian Release: 5.0.2
Architecture: arm (armv5tel)

Kernel: Linux 2.6.26-1-ixp4xx
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages amule-daemon depends on:
ii  amule-common           2.2.1-1+lenny2    common files for the rest of aMule
ii  libc6                  2.7-18            GNU C Library: Shared libraries
ii  libcrypto++7           5.5.2-2           General purpose cryptographic shar
ii  libgcc1                1:4.3.2-1.1       GCC support library
ii  libpng12-0             1.2.27-2+lenny2   PNG library - runtime
ii  libreadline5           5.2-3.1           GNU readline and history libraries
ii  libstdc++6             4.3.2-1.1         The GNU Standard C++ Library v3
ii  libupnp3               1:1.6.6-3         Portable SDK for UPnP Devices (sha
ii  libwxbase2.8-0         2.8.7.1-1.1       wxBase library (runtime) - non-GUI
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages amule-daemon recommends:
ii  amule-utils               2.2.1-1+lenny2 utilities for aMule (command-line

amule-daemon suggests no packages.

-- no debconf information




Forcibly Merged 537733 548620. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Wed, 30 Dec 2009 23:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian aMule Team <pkg-amule-devel@lists.alioth.debian.org>:
Bug#537733; Package amule-daemon. (Wed, 14 Jul 2010 18:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Greco <cristian@regolo.cc>:
Extra info received and forwarded to list. Copy sent to Debian aMule Team <pkg-amule-devel@lists.alioth.debian.org>. (Wed, 14 Jul 2010 18:51:02 GMT) Full text and rfc822 format available.

Message #12 received at 537733@bugs.debian.org (full text, mbox):

From: Cristian Greco <cristian@regolo.cc>
To: 537733@bugs.debian.org
Subject: Re: amule-daemon crashes with Segmentation Fault on starting
Date: Wed, 14 Jul 2010 20:44:35 +0200
[Message part 1 (text/plain, inline)]
Hi,

I can confirm this bug is easily reproducible in qemu[0].

This is the backtrace I got installing the libwxbase2.8-dbg package and
building amule with DEB_BUILD_OPTIONS="nostrip":

user@debian-arm:~$ gdb amuled
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html> This is free software: you are free
to change and redistribute it. There is NO WARRANTY, to the extent
permitted by law.  Type "show copying" and "show warranty" for details.
This GDB was configured as "arm-linux-gnu"...
(gdb) run
Starting program: /usr/bin/amuled 
[Thread debugging using libthread_db enabled]
[New Thread 0x40020910 (LWP 2671)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x40020910 (LWP 2671)]
0x404d445c in wxURLModule::wxCreateObject ()
   from /usr/lib/libwx_baseu_net-2.8.so.0
(gdb) bt full
#0  0x404d445c in wxURLModule::wxCreateObject ()
   from /usr/lib/libwx_baseu_net-2.8.so.0
No symbol table info available.
#1  0x405875b4 in wxModule::RegisterModules ()
   from /usr/lib/libwx_baseu-2.8.so.0
No symbol table info available.
#2  0x4056ee34 in wxEntryStart () from /usr/lib/libwx_baseu-2.8.so.0
No symbol table info available.
#3  0x4056f124 in wxEntry () from /usr/lib/libwx_baseu-2.8.so.0
No symbol table info available.
#4  0x0002b6a4 in main (argc=Cannot access memory at address 0x6d8
) at ../../src/amuled.cpp:171
No locals.
(gdb) quit
The program is running.  Exit anyway? (y or n) y

Moreover, the very same problem was reported months ago at wxWidgets'
bug tracker[1].

Unfortunately, probably the problem is not directly related to the
wxWidgets-2.8 library itself but rather to the default version of gcc
used in lenny. In fact, building wxWidgets-2.8 with gcc-4.1 seems to
fix the issue with amule and other applications.

I'm going to ask for confirmations and suggestions on debian-arm@l.d.o.

Hope this helps.

[0] http://people.debian.org/~aurel32/qemu/arm/
[1] http://trac.wxwidgets.org/ticket/10243

Thanks,
--
Cristian Greco
GPG key ID: 0xCF4D32E4
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Sat, 16 Jun 2012 14:51:09 GMT) Full text and rfc822 format available.

Notification sent to J G Miller <miller@yoyo.ORG>:
Bug acknowledged by developer. (Sat, 16 Jun 2012 14:51:09 GMT) Full text and rfc822 format available.

Message #17 received at 537733-done@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 537733-done@bugs.debian.org
Subject: Re: amule-daemon crashes with Segmentation Fault on starting
Date: Sat, 16 Jun 2012 16:49:48 +0200
There were no follow-ups in more than 1 year, so the problem is likely
to be gone for good. Hence closing.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Sat, 16 Jun 2012 14:51:10 GMT) Full text and rfc822 format available.

Notification sent to Salvo Tomaselli <tiposchi@tiscali.it>:
Bug acknowledged by developer. (Sat, 16 Jun 2012 14:51:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Jul 2012 07:27:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:18:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.